org.apache.poi.ss.usermodel

## Enum ReadingOrder

- java.lang.Object
- - java.lang.Enum<ReadingOrder>
  - - org.apache.poi.ss.usermodel.ReadingOrder

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ReadingOrder>

      public enum ReadingOrder
      extends java.lang.Enum<ReadingOrder>

  The enumeration value indicating reading order of a cell, i.e., whether the reading order is Context(Default), Left To Right or Right To Left

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTEXT` The reading order is Context(Default).
    `LEFT_TO_RIGHT` The reading order is Left To Right.
    `RIGHT_TO_LEFT` The reading order is Right To Left.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReadingOrder` | `forLong(long code)`
    `short` | `getCode()`
    `static ReadingOrder` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ReadingOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONTEXT

          public static final ReadingOrder CONTEXT

      The reading order is Context(Default).

    - #### LEFT_TO_RIGHT

          public static final ReadingOrder LEFT_TO_RIGHT

      The reading order is Left To Right.

    - #### RIGHT_TO_LEFT

          public static final ReadingOrder RIGHT_TO_LEFT

      The reading order is Right To Left.

  - ### Method Detail

    - #### values

          public static ReadingOrder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReadingOrder c : ReadingOrder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReadingOrder valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public short getCode()

    - #### forLong

          public static ReadingOrder forLong(long code)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.